Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 543165 - (MOZgdk_display_close) [abrt] crash detected in firefox-3.5.5-1.fc12 [@ gdk_display_close ]
[abrt] crash detected in firefox-3.5.5-1.fc12 [@ gdk_display_close ]
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:1655fed730d723f75f0abb94e2d...
: Triaged
: 543226 543255 543342 543852 543900 544288 544539 544576 544591 544706 544789 544795 544807 544839 544844 544879 544916 545127 545270 545381 545719 545927 546225 546358 546366 546983 546985 546986 546995 547103 547139 547197 547523 547524 547525 547596 547736 547901 547947 547951 548188 548217 548352 548353 548542 548600 548689 548793 548803 548917 548942 548982 548983 549662 550865 550879 551059 551228 551304 551510 552418 552677 553012 553081 553261 553303 553322 554952 555245 555374 557004 557179 557313 557620 558215 558731 560110 561580 562360 562576 563982 567314 567658 567967 569371 574203 574554 577023 577122 577683 577689 578281 578721 578874 579371 579395 579736 580896 580971 580977 580989 581114 581155 581715 581997 582062 583247 583309 583983 584564 584773 585270 585772 585778 586146 586600 587867 588349 589386 590214 590693 591184 595927 596441 599094 600771 600867 601719 603572 604759 605474 606471 607727 607808 608136 608222 608270 608910 610296 611637 614355 615524 615630 616640 617778 617794 617815 617884 617955 618034 618391 619472 619870 620173 620316 620525 620592 623689 624719 625200 625203 625584 626588 627947 629018 629090 630191 632192 632472 633054 633071 633925 634868 635039 635941 636309 636422 636423 637503 637946 646195 647933 649215 649770 651014 657797 658528 659383 659961 660519 661334 662400 663184 663201 665942 673596 679301 680900 689088 693489 693634 695030 720508 729484 733781 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 15:01 EST by George Iosif
Modified: 2018-04-11 05:42 EDT (History)
284 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 04:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.28 KB, text/plain)
2009-12-01 15:01 EST, George Iosif
no flags Details
GDB debug (27.62 KB, text/plain)
2010-01-29 10:10 EST, eblix08
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 566857 None None None Never

  None (edit)
Description George Iosif 2009-12-01 15:01:54 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.5/firefox
kernel: 2.6.31.5-127.fc12.x86_64
package: firefox-3.5.5-1.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 George Iosif 2009-12-01 15:01:57 EST
Created attachment 375178 [details]
File: backtrace
Comment 2 Matěj Cepl 2009-12-10 12:00:43 EST
#2  <signal handler called>
No symbol table info available.
#3  0x00000036ac023b88 in IA__g_type_check_instance (
    type_instance=<value optimized out>) at gtype.c:3804
        node = 0x5651000057000038
#4  0x00000036ac022eab in IA__g_signal_handlers_disconnect_matched (
    instance=0x7f8b19363bc0, mask=24, signal_id=0, detail=0, closure=0x0, 
    func=<value optimized out>, data=<value optimized out>) at gsignal.c:2667
        n_handlers = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_handlers_disconnect_matched"
#5  0x00007f8b338fcec3 in g_utf8_prev_char () at gutf8.c:191
No symbol table info available.
#6  0x00007f8b338fcf5b in g_utf8_prev_char () at gutf8.c:191
No symbol table info available.
#7  0x00000036ac00ba8e in IA__g_closure_invoke (closure=0x7f8b3433d4f0, 
    return_value=0x0, n_param_values=2, param_values=0x7f8b04a47070, 
    invocation_hint=0x7fff05094b00) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#8  0x00000036ac020ec3 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x7f8b341db9a0
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x7f8b3ffa1190, ihint = {
            signal_id = 3, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x7f8b3ff7a6e0
        handler_list = 0x7f8b341bfd90
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = <value optimized out>
        max_sequential_handler_number = <value optimized out>
        return_value_altered = <value optimized out>
#9  0x00000036ac022259 in IA__g_signal_emit_valist (
Comment 3 Chris Campbell 2009-12-11 12:28:13 EST
*** Bug 543226 has been marked as a duplicate of this bug. ***
Comment 4 Chris Campbell 2009-12-11 12:29:47 EST
*** Bug 543255 has been marked as a duplicate of this bug. ***
Comment 5 Chris Campbell 2009-12-11 12:32:36 EST
*** Bug 543342 has been marked as a duplicate of this bug. ***
Comment 6 Chris Campbell 2009-12-11 17:15:57 EST
*** Bug 544916 has been marked as a duplicate of this bug. ***
Comment 7 Chris Campbell 2009-12-11 17:17:53 EST
*** Bug 544844 has been marked as a duplicate of this bug. ***
Comment 8 Chris Campbell 2009-12-12 12:11:49 EST
*** Bug 546366 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Cepl 2009-12-12 19:11:14 EST
Matthias, could you give me some interpreation and guidelines for understanding the backtraces like comment 2. I have now literally hundreds of bugs ending in IA__g_type_check_instance, so I guess I must be overlooking something and this is some kind of default treatment of a problem in glib, right?
Comment 10 Matthias Clasen 2009-12-12 20:34:48 EST
The stacktrace doesn't make much sense to me. Mozilla code is often poking into the internals of GTK+, GDK and so forth, and my instinct would always be to ask for a reproducer that doesn't involve mozilla code. I realize that that doesn't help you much...
Comment 11 Chris Campbell 2009-12-13 11:59:25 EST
*** Bug 547103 has been marked as a duplicate of this bug. ***
Comment 12 Matěj Cepl 2009-12-14 12:06:36 EST
I am giving up on this bug ... this looks very much like an issue to big for this poor bug triager.
Comment 13 Matěj Cepl 2009-12-14 17:34:12 EST
*** Bug 543852 has been marked as a duplicate of this bug. ***
Comment 14 Matěj Cepl 2009-12-14 17:34:12 EST
*** Bug 543900 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2009-12-14 17:34:13 EST
*** Bug 544539 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2009-12-14 17:34:13 EST
*** Bug 544288 has been marked as a duplicate of this bug. ***
Comment 17 Matěj Cepl 2009-12-14 17:34:13 EST
*** Bug 544576 has been marked as a duplicate of this bug. ***
Comment 18 Matěj Cepl 2009-12-14 17:34:13 EST
*** Bug 544591 has been marked as a duplicate of this bug. ***
Comment 19 Matěj Cepl 2009-12-14 17:34:15 EST
*** Bug 544789 has been marked as a duplicate of this bug. ***
Comment 20 Matěj Cepl 2009-12-14 17:34:16 EST
*** Bug 544706 has been marked as a duplicate of this bug. ***
Comment 21 Matěj Cepl 2009-12-14 17:34:16 EST
*** Bug 544879 has been marked as a duplicate of this bug. ***
Comment 22 Matěj Cepl 2009-12-14 17:34:16 EST
*** Bug 544795 has been marked as a duplicate of this bug. ***
Comment 23 Matěj Cepl 2009-12-14 17:34:16 EST
*** Bug 544839 has been marked as a duplicate of this bug. ***
Comment 24 Matěj Cepl 2009-12-14 17:34:16 EST
*** Bug 544807 has been marked as a duplicate of this bug. ***
Comment 25 Matěj Cepl 2009-12-14 17:34:18 EST
*** Bug 545127 has been marked as a duplicate of this bug. ***
Comment 26 Matěj Cepl 2009-12-14 17:34:18 EST
*** Bug 545270 has been marked as a duplicate of this bug. ***
Comment 27 Matěj Cepl 2009-12-14 17:34:19 EST
*** Bug 545381 has been marked as a duplicate of this bug. ***
Comment 28 Matěj Cepl 2009-12-14 17:34:20 EST
*** Bug 545719 has been marked as a duplicate of this bug. ***
Comment 29 Matěj Cepl 2009-12-14 17:34:20 EST
*** Bug 546225 has been marked as a duplicate of this bug. ***
Comment 30 Matěj Cepl 2009-12-14 17:34:20 EST
*** Bug 545927 has been marked as a duplicate of this bug. ***
Comment 31 Matěj Cepl 2009-12-14 17:34:22 EST
*** Bug 546358 has been marked as a duplicate of this bug. ***
Comment 32 Matěj Cepl 2009-12-14 17:34:22 EST
*** Bug 546986 has been marked as a duplicate of this bug. ***
Comment 33 Matěj Cepl 2009-12-14 17:34:22 EST
*** Bug 546985 has been marked as a duplicate of this bug. ***
Comment 34 Matěj Cepl 2009-12-14 17:34:22 EST
*** Bug 546995 has been marked as a duplicate of this bug. ***
Comment 35 Matěj Cepl 2009-12-14 17:34:23 EST
*** Bug 547197 has been marked as a duplicate of this bug. ***
Comment 36 Matěj Cepl 2009-12-14 17:34:25 EST
*** Bug 547523 has been marked as a duplicate of this bug. ***
Comment 37 Matěj Cepl 2009-12-14 17:34:25 EST
*** Bug 547524 has been marked as a duplicate of this bug. ***
Comment 38 Matěj Cepl 2009-12-14 17:34:25 EST
*** Bug 547525 has been marked as a duplicate of this bug. ***
Comment 39 Chris Campbell 2009-12-15 08:10:09 EST
*** Bug 547596 has been marked as a duplicate of this bug. ***
Comment 40 Chris Campbell 2009-12-15 09:42:58 EST
*** Bug 547139 has been marked as a duplicate of this bug. ***
Comment 41 Chris Campbell 2009-12-15 12:41:46 EST
*** Bug 546983 has been marked as a duplicate of this bug. ***
Comment 42 Chris Campbell 2009-12-15 21:00:07 EST
*** Bug 547901 has been marked as a duplicate of this bug. ***
Comment 43 Chris Campbell 2009-12-16 09:19:43 EST
*** Bug 547951 has been marked as a duplicate of this bug. ***
Comment 44 Chris Campbell 2009-12-16 09:20:50 EST
*** Bug 547947 has been marked as a duplicate of this bug. ***
Comment 45 Chris Campbell 2009-12-16 09:26:07 EST
*** Bug 547736 has been marked as a duplicate of this bug. ***
Comment 46 Chris Campbell 2009-12-17 09:49:09 EST
*** Bug 548217 has been marked as a duplicate of this bug. ***
Comment 47 Chris Campbell 2009-12-17 09:53:39 EST
*** Bug 548352 has been marked as a duplicate of this bug. ***
Comment 48 Chris Campbell 2009-12-17 09:54:49 EST
*** Bug 548353 has been marked as a duplicate of this bug. ***
Comment 49 Chris Campbell 2009-12-17 11:57:02 EST
*** Bug 548188 has been marked as a duplicate of this bug. ***
Comment 50 Chris Campbell 2009-12-17 14:22:29 EST
*** Bug 548542 has been marked as a duplicate of this bug. ***
Comment 51 Chris Campbell 2009-12-18 09:31:27 EST
*** Bug 548600 has been marked as a duplicate of this bug. ***
Comment 52 Chris Campbell 2009-12-18 09:54:40 EST
*** Bug 548689 has been marked as a duplicate of this bug. ***
Comment 53 Chris Campbell 2009-12-18 12:34:41 EST
*** Bug 548803 has been marked as a duplicate of this bug. ***
Comment 54 Chris Campbell 2009-12-18 12:35:49 EST
*** Bug 548793 has been marked as a duplicate of this bug. ***
Comment 55 Chris Campbell 2009-12-19 09:39:36 EST
*** Bug 548917 has been marked as a duplicate of this bug. ***
Comment 56 Chris Campbell 2009-12-19 17:02:55 EST
*** Bug 548983 has been marked as a duplicate of this bug. ***
Comment 57 Chris Campbell 2009-12-19 17:04:44 EST
*** Bug 548982 has been marked as a duplicate of this bug. ***
Comment 58 Chris Campbell 2009-12-19 17:08:48 EST
*** Bug 548942 has been marked as a duplicate of this bug. ***
Comment 59 Chris Campbell 2009-12-22 12:06:40 EST
*** Bug 549662 has been marked as a duplicate of this bug. ***
Comment 60 Chris Campbell 2009-12-28 14:40:02 EST
*** Bug 551059 has been marked as a duplicate of this bug. ***
Comment 61 Chris Campbell 2009-12-28 15:14:43 EST
*** Bug 550879 has been marked as a duplicate of this bug. ***
Comment 62 Chris Campbell 2009-12-29 12:05:46 EST
*** Bug 551228 has been marked as a duplicate of this bug. ***
Comment 63 Chris Campbell 2009-12-30 07:43:48 EST
*** Bug 551304 has been marked as a duplicate of this bug. ***
Comment 64 Chris Campbell 2009-12-31 08:32:23 EST
*** Bug 551510 has been marked as a duplicate of this bug. ***
Comment 65 Chris Campbell 2009-12-31 22:52:33 EST
*** Bug 550865 has been marked as a duplicate of this bug. ***
Comment 66 Chris Campbell 2010-01-05 14:22:10 EST
*** Bug 552418 has been marked as a duplicate of this bug. ***
Comment 67 Chris Campbell 2010-01-05 15:40:29 EST
*** Bug 552677 has been marked as a duplicate of this bug. ***
Comment 68 Chris Campbell 2010-01-06 15:13:25 EST
*** Bug 553012 has been marked as a duplicate of this bug. ***
Comment 69 Chris Campbell 2010-01-06 22:57:18 EST
*** Bug 553081 has been marked as a duplicate of this bug. ***
Comment 70 Chris Campbell 2010-01-07 10:01:40 EST
*** Bug 553261 has been marked as a duplicate of this bug. ***
Comment 71 Chris Campbell 2010-01-07 12:51:22 EST
*** Bug 553322 has been marked as a duplicate of this bug. ***
Comment 72 Chris Campbell 2010-01-07 13:07:12 EST
*** Bug 553303 has been marked as a duplicate of this bug. ***
Comment 73 Chris Campbell 2010-01-13 07:50:50 EST
*** Bug 554952 has been marked as a duplicate of this bug. ***
Comment 74 Chris Campbell 2010-01-14 07:18:10 EST
*** Bug 555245 has been marked as a duplicate of this bug. ***
Comment 75 Chris Campbell 2010-01-14 12:27:20 EST
*** Bug 555374 has been marked as a duplicate of this bug. ***
Comment 76 Chris Campbell 2010-01-20 12:38:32 EST
*** Bug 557179 has been marked as a duplicate of this bug. ***
Comment 77 Chris Campbell 2010-01-21 18:34:57 EST
*** Bug 557313 has been marked as a duplicate of this bug. ***
Comment 78 Chris Campbell 2010-01-21 18:39:39 EST
*** Bug 557620 has been marked as a duplicate of this bug. ***
Comment 79 Chris Campbell 2010-01-21 18:49:05 EST
*** Bug 557004 has been marked as a duplicate of this bug. ***
Comment 80 Chris Campbell 2010-01-24 10:20:28 EST
*** Bug 558215 has been marked as a duplicate of this bug. ***
Comment 81 Chris Campbell 2010-01-26 07:40:54 EST
*** Bug 558731 has been marked as a duplicate of this bug. ***
Comment 82 eblix08 2010-01-29 10:10:16 EST
Created attachment 387590 [details]
GDB debug

My original bug was marked as a duplicate of this bug.  I hope this file helps.

Thanks.
Comment 83 Chris Campbell 2010-01-29 19:19:06 EST
*** Bug 560110 has been marked as a duplicate of this bug. ***
Comment 84 Chris Campbell 2010-02-03 21:14:40 EST
*** Bug 561580 has been marked as a duplicate of this bug. ***
Comment 85 Chris Campbell 2010-02-06 14:01:00 EST
*** Bug 562360 has been marked as a duplicate of this bug. ***
Comment 86 Chris Campbell 2010-02-07 19:26:57 EST
*** Bug 562576 has been marked as a duplicate of this bug. ***
Comment 87 Chris Campbell 2010-02-11 14:51:11 EST
*** Bug 563982 has been marked as a duplicate of this bug. ***
Comment 88 Christopher Beland 2010-02-12 14:53:11 EST
Of the bugs currently open against Fedora, this one has the most duplicates (162).  Has it been reported or fixed upstream?  Is this problem fixed in Fedora 13 (currently pre-Alpha Rawhide) or should it be targeted as a priority?
Comment 89 Andre Costa 2010-02-14 18:33:08 EST
Even Firefox 3.6 keeps crashing constantly. I recently started it from a terminal and saw an endless loop of errors messages after I tried to play an embedded YouTube video (which is completely buggy in Fireofx BTW, many videos simply don't play, and sometimes player controls don't work). When I closed Firefox it crashed and triggered abrt, and a couple of error messages appeared on the terminal.

All this (buggy flash support, constant crashes) is sadly pushing me away from venerable Firefox towards Chrome.
Comment 90 Lukas Lueg 2010-02-21 15:56:36 EST
agreed
Comment 91 Chris Campbell 2010-02-22 12:28:31 EST
*** Bug 567314 has been marked as a duplicate of this bug. ***
Comment 92 Karel Klíč 2010-02-24 11:48:42 EST
*** Bug 567658 has been marked as a duplicate of this bug. ***
Comment 93 Karel Klíč 2010-02-24 11:48:47 EST
*** Bug 567967 has been marked as a duplicate of this bug. ***
Comment 94 Chris Campbell 2010-03-02 14:35:43 EST
*** Bug 569371 has been marked as a duplicate of this bug. ***
Comment 95 Place Holder 2010-03-10 15:38:25 EST

How to reproduce
-----
1. Firefox had been running mostly unused in the background, with occasional uses
2. Shut down Firefox because was preparing to reboot the machine to apply updates
3. The UI was no longer visible, but during the shutdown processing ABRT caught the error


Comment
-----
Was shutting down Firefox which had been running for some time.
Comment 96 Kevin 2010-03-10 17:07:05 EST

How to reproduce
-----
1
2.
3.


Comment
-----
closed firefox
Comment 97 Kronos003 2010-03-10 22:22:10 EST

How to reproduce
-----
1.run firefox for  while. do some browsing
2.close firefox with multiple tabs open
3.application closes and a bug report is generated


Comment
-----
it seems lately that when i close firefox, that it frequently crashes. not that i really care since my objective is to close the application, but it does generate a crash report, so im assuming that whatever happens isnt good...
Comment 98 Art Miller 2010-03-11 09:33:01 EST

How to reproduce
-----
1.
2.While navigating to a new site
3.


Comment
-----
Cannot reproduce, navigated to a new site and the browser window went away for about 2 seconds and then repeared greatly reduced to about 155 X 113 from full maximize. Tabs stayed in browser, browser recovered to full when "maximize" icon was clicked. A total of 5 tabs were open and was in the process of opening a 6th tab when this occured.
**************************************************************************************************
On a side note: KUDOS on fixing the compiz problem that kept occuring and causing browser and kernal crashes. Works like a charm now everytime. You guys are awesome!!!!!!!!!
Comment 99 Kevin 2010-03-11 15:01:38 EST

How to reproduce
-----
1
2.
3.


Comment
-----
closed firefox with tab open
Comment 100 Art Miller 2010-03-11 23:47:37 EST

How to reproduce
-----
1.
2.closing browser
3.


Comment
-----
when trying to reopen browser error is generated that firefox is already running and needs to close, ps-aux or top show no open or running instances of firefox.
Comment 101 Marcus 2010-03-11 23:52:10 EST

Comment
-----
I had just logged out of Americredit.com and closed Firefox, then I got this little light.  I think it detects crashes when there are none because this little light is always popping up even when things work normally.
Comment 102 Aaron 2010-03-12 01:09:02 EST

How to reproduce
-----
UNSURE

Comment
-----
ABRT flagged this as a crash when i was closing firefox
Comment 103 Nikolay Bryskin 2010-03-12 10:05:19 EST

How to reproduce
-----
1. Close firefox
2.
3.
Comment 104 Art Miller 2010-03-12 11:49:02 EST
(In reply to comment #98)
> 
> How to reproduce
> -----
> 1.
> 2.While navigating to a new site
> 3.
> 
> 
> Comment
> -----
> Cannot reproduce, navigated to a new site and the browser window went away for
> about 2 seconds and then repeared greatly reduced to about 155 X 113 from full
> maximize. Tabs stayed in browser, browser recovered to full when "maximize"
> icon was clicked. A total of 5 tabs were open and was in the process of opening
> a 6th tab when this occured.
> **************************************************************************************************
> On a side note: KUDOS on fixing the compiz problem that kept occuring and
> causing browser and kernal crashes. Works like a charm now everytime. You guys
> are awesome!!!!!!!!!    

**********************************************************
3-12-2010

re:
Bugzilla [abrt crash detected in firefox-3.5.5-1.fc12]
Bug 543165

Just a thought.


No expert here, but from the data received and the way the problem presents itself I'm wondering if the problem might be a mismatch in "browser cache size" as listed in about:config?

Mine:

browser.cache.disk.capacity = 51200
browser.cache.offline.capacity = 512000

current firefox 3.5.8
Comment 105 Art Miller 2010-03-12 17:13:23 EST

How to reproduce
-----
1.
2.open browser
3.


Comment
-----
no sound live radio feeds, processed through all installed players.
Comment 106 Eric Lake 2010-03-12 22:22:33 EST

How to reproduce
-----
1. Run Fedora 12 64bit and launch firefox. In this case I have disabled all of my addons too.
2. Browse as normal
3. Close firefox


Comment
-----
These actions should result in firefox closing cleanly but i normally get 2 - 3 abrt per day.
Comment 107 Evgeny 2010-03-12 23:42:07 EST

How to reproduce
-----
1. run firefox
2. work firefox
3. close firefox


Comment
-----
i must to check expansion firefox (now instaleed: adblock plus, flashblock, imglikeopera, mozilla archive format, russian spellchecking dictionary(all last version))
Comment 108 Jonathan Rushdoony 2010-03-13 13:47:43 EST

How to reproduce
-----
1. Closed Firefox after browsing.
2.
3.
Comment 109 Jonathan Rushdoony 2010-03-13 17:24:32 EST

How to reproduce
-----
1. Exited normally from Firefox.
2.
3.
Comment 110 Kurt 2010-03-13 20:31:47 EST

How to reproduce
-----
1.lock screen with firefox still up
2.none
3.none


Comment
-----
lock screen with firefox still up
Comment 111 Igor Katalnikov 2010-03-14 07:19:46 EDT

How to reproduce
-----
1. Unknown
Comment 112 Jim Scott 2010-03-14 09:10:33 EDT

Comment
-----
Crash came during restart following install of a new theme
Comment 113 Art Miller 2010-03-14 11:40:53 EDT

How to reproduce
-----
1.just browsing
2.
3.
Comment 114 Andy Lawrence 2010-03-14 12:10:40 EDT

Comment
-----
I don't see any mention of flash, hope I didn't miss it!  This seems to just happen, I can't explain what triggers it.  I'm hoping the BT gives a hint.
Comment 115 Nikolas Slivka 2010-03-14 17:45:08 EDT

How to reproduce
-----
1. random after i close firefox
2.
3.
Comment 116 Kurt 2010-03-14 21:14:56 EDT

Comment
-----
Was on youtube, then just closed firefox out, when error occured.
Comment 117 the.hw.group 2010-03-15 01:54:57 EDT

How to reproduce
-----
1. close firefox browser
2.
3.


Comment
-----
I just closed the firefox browser. Then this happened... (it crashed)
Comment 118 iceboyphil 2010-03-15 20:13:29 EDT

How to reproduce
-----
1.unknown
2.
3.


Comment
-----
unknown
Comment 119 Kurt 2010-03-15 21:49:23 EDT

How to reproduce
-----
1.....again, just happened when closing firefox
2.
3.
Comment 120 Kurt 2010-03-15 21:50:23 EDT

How to reproduce
-----
1.....again, just happened when closing firefox
2.
3.
Comment 121 Misha Shnurapet 2010-03-15 22:32:42 EDT

How to reproduce
-----
1. Run Firefox;
2. Browse as usually;
3. Close Firefox.
Comment 122 Pavel Mezhuyev 2010-03-16 13:22:05 EDT

How to reproduce
-----
1. Run
2. Work
3. Close
Comment 123 Stephen John Smoogen 2010-03-16 15:07:23 EDT

How to reproduce
-----
1. Ran firefox from command line. 
2. Did lots of surfing.
3. Stopped firefox and watched crash.
Comment 124 zac 2010-03-16 15:55:11 EDT

How to reproduce
-----
1. Don't know
2.
3.
Comment 125 zac 2010-03-16 15:56:31 EDT

How to reproduce
-----
1. Don't know
2.
3.
Comment 126 zac 2010-03-16 16:02:48 EDT

How to reproduce
-----
1. Don't know
2.
3.
Comment 127 zac 2010-03-16 16:04:12 EDT

How to reproduce
-----
1. Don't know
2.
3.
Comment 128 Art Miller 2010-03-16 17:01:26 EDT

How to reproduce
-----
1.
2.closing browser
3.


Comment
-----
just closing the browser
Comment 129 Stephen John Smoogen 2010-03-16 21:13:03 EDT

Comment
-----
Problem seems to be with exiting firefox. Possibly due to adobe-flash plugin but not sure yet. Will try without plugin
Comment 130 Misha Shnurapet 2010-03-17 04:05:39 EDT

Comment
-----
I didn't see it. I guess, it happened upon exit.
Comment 131 Matthias 2010-03-17 12:45:24 EDT

Comment
-----
closing ff
Comment 132 Igor Katalnikov 2010-03-18 02:14:58 EDT

How to reproduce
-----
1.Closed Firefox
2.
3.
Comment 133 BobCaSUaL 2010-03-18 05:15:09 EDT

How to reproduce
-----
1.run firefox
2.close firefox
Comment 134 BobCaSUaL 2010-03-18 05:29:47 EDT

How to reproduce
-----
1.run firefox
2.close firefox
Comment 135 Martin Stransky 2010-03-19 09:04:49 EDT
Looks like there is some leftover which can cause troubles....

#0  0x00007ffff111d6c5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007ffff111eea5 in abort () at abort.c:92
#2  0x00007ffff11167b5 in __assert_fail (assertion=0x7ffff28def95 "hash_table->live_entries == 0", 
    file=<value optimized out>, line=199, function=<value optimized out>) at assert.c:81
#3  0x00007ffff2897f79 in _cairo_hash_table_destroy (hash_table=0x7fffecac0af0) at cairo-hash.c:199
#4  0x00007ffff28a90e9 in _cairo_scaled_font_map_destroy () at cairo-scaled-font.c:392
#5  0x00007ffff28939f9 in _cairo_font_face_reset_static_data () at cairo-font-face.c:767
#6  0x00007ffff2893819 in cairo_debug_reset_static_data () at cairo-debug.c:64
#7  0x00007ffff5b00ff9 in MOZ_gdk_display_close (display=0x7fffeca38400) at nsAppRunner.cpp:2602
#8  0x00007ffff5b03d01 in XRE_main (argc=1, argv=0x7fffffffdf08, aAppData=0x7fffeca27080) at nsAppRunner.cpp:3597
#9  0x0000000000401eff in main (argc=1, argv=0x7fffffffdf08) at nsBrowserApp.cpp:158
Comment 136 Chris Campbell 2010-03-19 14:50:21 EDT
*** Bug 574554 has been marked as a duplicate of this bug. ***
Comment 137 bugzilla 2010-03-19 18:54:12 EDT

Comment
-----
No Idea
Comment 138 bugzilla 2010-03-20 09:32:06 EDT

Comment
-----
No idea
Comment 139 BobCaSUaL 2010-03-20 12:07:24 EDT

How to reproduce
-----
1.close firefox after normal networking
Comment 140 NM 2010-03-20 13:59:31 EDT

How to reproduce
-----
Firefox just crashed. 


Comment
-----
No reason....
Comment 141 NM 2010-03-20 16:32:54 EDT

How to reproduce
-----
Crashing for no reason


Comment
-----
Usually at close
Comment 142 Patrick 2010-03-20 17:30:48 EDT

How to reproduce
-----
1. start firefox
2. surf to random site
3. close firefox by clicking on the x at the top right


Comment
-----
See steps 1,2 and 3
Comment 143 NM 2010-03-22 09:07:07 EDT

How to reproduce
-----
Abrtd detected carsh

Comment
-----
Firefox crashes every time when closed.
Comment 144 Don Novak 2010-03-22 14:58:49 EDT

How to reproduce
-----
1.Normal use of firefox
2.
3.


Comment
-----
On exit from firefox
Comment 145 Alexander 2010-03-22 17:16:30 EDT

How to reproduce
-----
Firefox is crashing almost every time I close it. What I do to reproduce this is browsing some sites, and then close the firefox. After that I get ABRT red icon.


Comment
-----
I am using beta version of adobe flash plugin for x86_64 linux systems. I am afraid this crash can be due to using this plugin.
Comment 146 zac 2010-03-22 17:24:23 EDT

How to reproduce
-----
1. Close Firefox
2.
3.
Comment 147 Marco Vittorini Orgeas 2010-03-22 19:39:41 EDT

How to reproduce
-----
1.Quit firefox
2.Select save tabs for next restart
3.


Comment
-----
Just closing firefox by selecting save tabs for next restart.
Comment 148 Sergio Augusto Vladisauskis 2010-03-22 20:36:28 EDT

How to reproduce
-----
1. closing
2.
3.
Comment 149 NM 2010-03-22 23:22:16 EDT

How to reproduce
-----
Firefox crashed at close.


Comment
-----
Always reproducible.
Comment 150 Art Miller 2010-03-23 00:07:56 EDT

How to reproduce
-----
1.open browser
2.surf with no java video this time around
3.close browser


Comment
-----
possible improper path

current    /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0x86_64/jre/lib/amd64/IcedTeaPlugin.so

Possibly should be

              /usr/lib64/jvm/java-1.6.0-openjdk-1.6.00x86_64/ jre/lib/amd64/IcedTeaPlugin.so

Possible path mismatch as this code/failure is also generated and abrt generates error when trying to view some videos with Java and is the same code generated when closing browser weather viewing video or not. Just a thought!!!! all other paths point to lib64 on this 64 bit kernel box.
Comment 151 Arnaud Kleinveld 2010-03-23 09:45:20 EDT

How to reproduce
-----
1.Close firefox by using the window close control, i.e. cross button
2.
3.


Comment
-----
Nothing but closing firefox by using the window close control, i.e. cross button
Comment 152 Miguel 2010-03-23 19:28:25 EDT

How to reproduce
-----
1. close firefox
2.
3.


Comment
-----
i close firefox
Comment 153 Miguel 2010-03-23 19:29:48 EDT

How to reproduce
-----
1. close firefox
2.
3.
Comment 154 Trapper 2010-03-24 10:19:38 EDT

Comment
-----
I simply shut down firefox 3.5.8 and receive this bug message.
Comment 155 Alexey Kazakov 2010-03-24 10:24:19 EDT

Comment
-----
Sometimes Firefox crashes on exit
Comment 156 chief 2010-03-24 13:59:27 EDT

How to reproduce
-----
1.Not sure
2.
3.


Comment
-----
Just closed window after using.  This seems to be unpredictable.  However, I had started a new tab from an email within Thunderbird at one point during this session.  But I had closed that tab prior to closing the window.
Comment 157 BobCaSUaL 2010-03-25 04:18:40 EDT

How to reproduce
-----
1.close firefox after normal navigation
Comment 158 Alexey Kazakov 2010-03-25 10:17:03 EDT

How to reproduce
-----
1. Use Firefox for some time.
2. Close it.

Comment
-----
Firefox sometimes crashes on exit.
I can't see any specific pattern in it.
Comment 159 the.hw.group 2010-03-25 12:27:57 EDT

Comment
-----
I have no idea, I am just uploading this anyway. Sorry! :-(
Comment 160 the.hw.group 2010-03-25 15:08:41 EDT

Comment
-----
I have no idea what I did. But here is the backtrace.
Comment 161 Guillaume Lemaître 2010-03-26 10:31:39 EDT

How to reproduce
-----
1.Shut down firefox.
2.
3.
Comment 162 Michal Klich 2010-03-26 19:19:12 EDT

How to reproduce
-----
1. Open firefox
2. Load some site with flash
3. Close firefox


Comment
-----
I had firefox with one tab only showing youtube. I have closed it and crash report opened.
Comment 163 foo.hazard 2010-03-27 00:36:03 EDT

How to reproduce
-----
1. Browsing heavy flash content sites.
2. Exit from Firefox.
3. Automatic Bug Reporting Tool shows crash caused by firefox when closing.
Comment 164 aten 2010-03-27 02:14:26 EDT

Comment
-----
tried to close the browser window
Comment 165 aten 2010-03-27 02:15:08 EDT

How to reproduce
-----
Comment 166 Rakesh Jain 2010-03-27 03:42:16 EDT

How to reproduce
-----
1.open firefox
2.close firefox
3.
Comment 167 Rakesh Jain 2010-03-27 04:09:32 EDT

How to reproduce
-----
1.open firefox
2.close firefox
3.
Comment 168 Rakesh Jain 2010-03-27 04:13:03 EDT

How to reproduce
-----
1.open firefox
2.close firefox
3.
Comment 169 Rakesh Jain 2010-03-27 04:16:28 EDT

How to reproduce
-----
1.open firefox
2.close firefox
3.
Comment 170 Rakesh Jain 2010-03-27 04:17:11 EDT

How to reproduce
-----
1.open firefox
2.close firefox
3.
Comment 171 Peter Delf 2010-03-27 04:33:43 EDT

Comment
-----
Closed Firefox
Comment 172 mechman 2010-03-27 11:39:46 EDT

How to reproduce
-----
1.Close Firefox with FEBE extension set to automatically backup
2.
3.


Comment
-----
I suspect this is an issue with firefox and FEBE but I am submitting a report anyways in case someone finds another cause.
Comment 173 Imre Horvath 2010-03-27 12:54:35 EDT

How to reproduce
-----
1. Quit firefox
2.
3.
Comment 174 François 2010-03-28 11:07:25 EDT

How to reproduce
-----
1. Closing Firefox (all tabs) while a downloading was processing
2.
3.


Comment
-----
I had just closed Firefox while donwloading when abrt report a crash.
I have also added adblock (from defora repository) hence the closing for restart
Comment 175 NM 2010-03-28 12:20:59 EDT

How to reproduce
-----
No reason


Comment
-----
Always at close
Comment 176 Shauvik Roy Choudhary 2010-03-28 15:24:56 EDT

How to reproduce
-----
1. Install Firebug 1.5.3
2. It asks to restart firefox. Restart firefox
3.


Comment
-----
This bug had manifested many times when i restart the browser
Comment 177 NM 2010-03-29 00:17:11 EDT

How to reproduce
-----
Crashing for no reason


Comment
-----
Every time on close
Comment 178 Aloise 2010-03-29 02:10:41 EDT

How to reproduce
-----
1. Used songbird to open "help" page
Comment 179 Art Miller 2010-03-30 12:05:07 EDT

How to reproduce
-----
1.
2.Just browsing
3.


Comment
-----
again seems to be .so files in incorrect places or pointers to files misdirected.
Comment 180 Joel Knox 2010-03-30 17:50:51 EDT

Comment
-----
The actual Adobe flash player (ver 10.0.45.2, 64 bit) is install at ~/.mozlla/plugins
Comment 181 NM 2010-03-30 22:53:28 EDT

How to reproduce
-----
Crashed at close


Comment
-----
Every time
Comment 182 Imre Horvath 2010-03-31 05:55:02 EDT

How to reproduce
-----
1. quit firefox
2.
3.
Comment 183 mechman 2010-03-31 23:40:04 EDT

Comment
-----
Firefox was killed by SIGNAL11
Comment 184 Daniel Stripes 2010-04-01 00:03:32 EDT

Comment
-----
Quit Firefox.
Comment 185 Chris Campbell 2010-04-02 14:39:09 EDT
*** Bug 578281 has been marked as a duplicate of this bug. ***
Comment 186 Chris Campbell 2010-04-05 17:08:39 EDT
*** Bug 578721 has been marked as a duplicate of this bug. ***
Comment 187 Chris Campbell 2010-04-05 17:37:22 EDT
*** Bug 579371 has been marked as a duplicate of this bug. ***
Comment 188 Chris Campbell 2010-04-05 17:39:08 EDT
*** Bug 578874 has been marked as a duplicate of this bug. ***
Comment 189 marty 2010-04-06 01:43:01 EDT

How to reproduce
-----
1. closed firefox after some hours surfing


Comment
-----
dotn know how to reproduce it, sorry
Comment 190 ferryoudekotte 2010-04-06 15:56:08 EDT

How to reproduce
-----
1.close firefox
2.
3.


Comment
-----
closed firefox
Comment 191 Aleksander Pronkiewicz 2010-04-06 17:44:17 EDT

Comment
-----
It simply occurs while using FF and in my opinion has something to do with playing sound. When the popup window show up, FF frequently reports the error.
Comment 192 Gene Crain 2010-04-06 22:20:23 EDT

How to reproduce
-----
1.exit firefox
2.
3.


Comment
-----
all I did was close firefox
Comment 193 swen_philipp 2010-04-07 03:20:19 EDT

How to reproduce
-----
1. minimize Firefox
2.
3.
Comment 194 Pavel Mezhuyev 2010-04-07 08:54:52 EDT

How to reproduce
-----
1. close
2.
3.
Comment 195 Rudolf Kunzli 2010-04-07 12:23:22 EDT

Comment
-----
Quitting Firefox
Comment 196 Need Real Name 2010-04-07 13:41:35 EDT

How to reproduce
-----
1. closed firefox
2.
3.
Comment 197 Kevin 2010-04-07 19:16:56 EDT

How to reproduce
-----
1.close firefox
2.
3.
Comment 198 NM 2010-04-07 20:23:24 EDT

Comment
-----
Crashing at close
Comment 199 Rudolf Kunzli 2010-04-08 02:56:56 EDT

How to reproduce
-----
1. Start Firefox
2. Check Google Mail
3. Exit Google Mail
4. Quit Firefox


Comment
-----
It happens with Google Mail only. As long I don't check the mail for spam's I can quit Firefox without crash...
Comment 200 gianmarco.gallo 2010-04-08 03:25:14 EDT

How to reproduce
-----
1.Closing firefox
2.
3.
Comment 201 gianmarco.gallo 2010-04-08 03:26:12 EDT

How to reproduce
-----
1.Closing firefox
2.
3.
Comment 202 gianmarco.gallo 2010-04-08 04:59:22 EDT

How to reproduce
-----
1.Closing firefox
2.
3.
Comment 203 Mark Locascio 2010-04-08 10:37:56 EDT

How to reproduce
-----
1. Logged out of gmail, hotmail, etc.
2. Closed tabs
3. Closed firefox
Comment 204 cameron.pietrafeso 2010-04-09 14:06:30 EDT

How to reproduce
-----
1.Open multiple tabs
2.Close FF and tell it to just "quit"
3.


Comment
-----
Just closed FF with multiple tabs open
Comment 205 aten 2010-04-09 14:54:36 EDT

How to reproduce
-----
1.close firefox
2.
3.
Comment 206 Aleksander Pronkiewicz 2010-04-09 16:09:35 EDT

How to reproduce
-----
1. close FF
2.
3.
Comment 207 Chris Campbell 2010-04-09 21:17:37 EDT
*** Bug 577122 has been marked as a duplicate of this bug. ***
Comment 208 Chris Campbell 2010-04-09 21:34:29 EDT
*** Bug 577023 has been marked as a duplicate of this bug. ***
Comment 209 hmfan2_0 2010-04-11 13:22:26 EDT

How to reproduce
-----
1. crashed on close.
no further details.

Comment
-----
I just closed firefox and it crashed.  Not sure what is causing it but doesn't seem to have any issues beforehand, just crashes afterwords.
Comment 210 Chris Campbell 2010-04-21 09:01:49 EDT
*** Bug 583983 has been marked as a duplicate of this bug. ***
Comment 211 Retlaw Dlawso 2010-04-21 15:47:47 EDT
Since the updates hereafter, no firefox crash has been detected on my system:
- Apr 09 20:24:21 Updated: firefox-3.5.9-2.fc12.x86_64
- Apr 10 20:57:58 Installed: kernel-2.6.32.11-99.fc12.x86_64
Comment 212 Retlaw Dlawso 2010-04-23 16:50:37 EDT
Today, unexpectedly, firefox crashed. I reproduced the crash with success:
- open a secure (https) address and start a working application on that outside
  address
- open a info window on this application
- close the info window with x
- firefox crashes and reports: 'Firefox is already running but is not responding.
  To open a new window you must first close the existing Firefox process or   
  restart your system.'

I had to restart firefox, open the address and the application again; the application at that outside address was closed.
Same steps, same crash.
Comment 213 Chris Campbell 2010-04-27 10:52:41 EDT
*** Bug 586146 has been marked as a duplicate of this bug. ***
Comment 214 Place Holder 2010-05-06 10:13:10 EDT
bug# 589386, newer code, same symptoms?
Comment 215 Chris Campbell 2010-05-08 11:10:24 EDT
*** Bug 574203 has been marked as a duplicate of this bug. ***
Comment 216 Chris Campbell 2010-05-08 11:11:43 EDT
*** Bug 590214 has been marked as a duplicate of this bug. ***
Comment 217 Chris Campbell 2010-05-08 11:12:28 EDT
*** Bug 588349 has been marked as a duplicate of this bug. ***
Comment 218 Chris Campbell 2010-05-08 11:13:00 EDT
*** Bug 587867 has been marked as a duplicate of this bug. ***
Comment 219 Chris Campbell 2010-05-08 11:13:36 EDT
*** Bug 586600 has been marked as a duplicate of this bug. ***
Comment 220 Chris Campbell 2010-05-08 11:14:18 EDT
*** Bug 585270 has been marked as a duplicate of this bug. ***
Comment 221 Chris Campbell 2010-05-08 11:14:54 EDT
*** Bug 584773 has been marked as a duplicate of this bug. ***
Comment 222 Chris Campbell 2010-05-08 11:15:22 EDT
*** Bug 584564 has been marked as a duplicate of this bug. ***
Comment 223 Chris Campbell 2010-05-08 11:15:53 EDT
*** Bug 583309 has been marked as a duplicate of this bug. ***
Comment 224 Chris Campbell 2010-05-08 11:16:47 EDT
*** Bug 583247 has been marked as a duplicate of this bug. ***
Comment 225 Chris Campbell 2010-05-08 11:17:12 EDT
*** Bug 582062 has been marked as a duplicate of this bug. ***
Comment 226 Chris Campbell 2010-05-08 11:17:42 EDT
*** Bug 581715 has been marked as a duplicate of this bug. ***
Comment 227 Chris Campbell 2010-05-08 11:18:19 EDT
*** Bug 577683 has been marked as a duplicate of this bug. ***
Comment 228 Chris Campbell 2010-05-08 11:18:33 EDT
*** Bug 577689 has been marked as a duplicate of this bug. ***
Comment 229 Chris Campbell 2010-05-08 11:18:42 EDT
*** Bug 579395 has been marked as a duplicate of this bug. ***
Comment 230 Chris Campbell 2010-05-08 11:19:00 EDT
*** Bug 580896 has been marked as a duplicate of this bug. ***
Comment 231 Chris Campbell 2010-05-08 11:19:14 EDT
*** Bug 580971 has been marked as a duplicate of this bug. ***
Comment 232 Chris Campbell 2010-05-08 11:19:34 EDT
*** Bug 580977 has been marked as a duplicate of this bug. ***
Comment 233 Chris Campbell 2010-05-08 11:19:46 EDT
*** Bug 581114 has been marked as a duplicate of this bug. ***
Comment 234 Chris Campbell 2010-05-08 11:19:57 EDT
*** Bug 581155 has been marked as a duplicate of this bug. ***
Comment 235 Răzvan Sandu 2010-05-08 15:20:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 236 Răzvan Sandu 2010-05-09 06:06:37 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 237 Jonas Jonsson 2010-05-09 07:50:23 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Close Firefox

Comment
-----
No sure if it is the exact same, but almost everytime I close Firefox it crashes.
Comment 238 Morten Slott Hansen 2010-05-10 05:26:11 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close FF
2.
3.


Comment
-----
start and close FF
This has been happening for a loooooooooooong time now.
Comment 239 bengladwell 2010-05-10 14:30:13 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Error occurred immediately after closing firefox
Comment 240 JB 2010-05-11 06:33:47 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.I just closed it down with the "X" and clicked on save and quit.
2.
3.
Comment 241 gregor 2010-05-11 16:36:18 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 242 Isaias Lourenco 2010-05-12 13:32:47 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. clicked on "save and quit"
2.
3.
Comment 243 Răzvan Sandu 2010-05-13 02:25:25 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 244 Martin Stransky 2010-05-13 05:45:18 EDT
*** Bug 585778 has been marked as a duplicate of this bug. ***
Comment 245 Gerald Cox 2010-05-13 11:07:37 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.  Open Firefox
2.  Browse websites
3.  Close Firefox


Comment
-----
Firefox has been unstable for months now.  I continues to abend upon usage making it basically unusable.
Comment 246 Need Real Name 2010-05-14 12:55:05 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. firefox restarted after extension upgrades
2. boom
3.
Comment 247 Need Real Name 2010-05-14 12:56:02 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. restart firefox
2. boom
3.
Comment 248 Need Real Name 2010-05-14 12:58:17 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. closed firefox
2.
3.
Comment 249 Răzvan Sandu 2010-05-14 14:56:50 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 250 bugzilla 2010-05-15 10:26:24 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Surf around in youtube
2. exit firefox
3.
Comment 251 NM 2010-05-15 18:49:44 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Crashes at close
2.
3.


Comment
-----
.
Comment 252 JB 2010-05-15 19:09:40 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Click the "X"
2. Select "Save and Close"
3. Watch it crash.


Comment
-----
Happens almost every time.
Comment 253 Gerard Ryan 2010-05-15 22:01:02 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Same old always crashing as before, it installed some new debuginfo packages though.
Comment 254 David 2010-05-15 23:48:05 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit firefox.
2.
3.


Comment
-----
Not reproducible every time.
Comment 255 Răzvan Sandu 2010-05-16 02:32:12 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 256 bugzilla 2010-05-16 03:04:24 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. browse in wikipedia
2. exit firefox
3.
Comment 257 wallis_98 2010-05-16 03:33:40 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Closed Firefox
2. Waited a few seconds
3. Crash appeared
Comment 258 tonio 2010-05-16 06:04:36 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.restart firefox
2.
3.
Comment 259 Jesse Brandeburg 2010-05-16 19:16:08 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close all firefox windows with ctrl-f4 including the last one.
2.
3.


Comment
-----
I was just closing firefox windows, and closed all of them with Ctrl-F4, after closing the last the firefox window disappeared and then I got abrt notice.
Comment 260 Răzvan Sandu 2010-05-17 03:55:17 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 261 k.t. 2010-05-17 13:38:35 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I believe this is related to bug 593042
Comment 262 k.t. 2010-05-17 13:40:13 EDT
oh, automatic tools fail - ignore my last comment, I was trying to to submit my own bug report
Comment 263 JB 2010-05-17 16:02:21 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Close with the X
2. Save & Quit
3. Watch as it crashes
Comment 264 John Knight 2010-05-19 02:54:27 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed firefox after roughly 30 minutes of use with 5 tabs open
Comment 265 Jan Dvořák 2010-05-19 03:37:17 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Just closed Firefox.
Comment 266 Morten Slott Hansen 2010-05-19 05:47:54 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Start FF
2.Close FF
3.CRASH!
Comment 267 Martin Stransky 2010-05-19 09:43:25 EDT
*** Bug 590693 has been marked as a duplicate of this bug. ***
Comment 268 Martin Stransky 2010-05-19 10:01:35 EDT
Filed upstream as https://bugzilla.mozilla.org/show_bug.cgi?id=566857
Comment 269 Evgeny 2010-05-19 22:49:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close firefox
2.
3.
Comment 270 Kanak Kshetri 2010-05-20 09:46:05 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close Firefox
2. Error pops up
3.
Comment 271 Robbin 2010-05-20 09:55:07 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Quit pidgin
2.
3.
Comment 272 Morten Slott Hansen 2010-05-21 04:06:21 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Start FF and close it - happens every single time...
Comment 273 Alexey Kazakov 2010-05-21 06:03:30 EDT
I have a _very strong_ feeling that at least some part of theese bug reports are Adobe flash related. I've disabled Shockwave Flash plugin (menu Tools -> Add-ons -> Plugins -> Shockwave Flash, then press button "Disable") -- and stopped to receive crash report almost every time I quit Firefox. Enabled it again -- and got the same old story back.

I'd like to ask all the interested people to confirm my experience.

Most of us DO understand, I believe, that by disabling flash plugin you cut off flash-related functionality from Firefox.

Still it can be helphul for tracing down this bug.
Comment 274 Aleksander Pronkiewicz 2010-05-21 15:55:12 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Just closed Firefox
2.
3.
Comment 275 John Knight 2010-05-21 17:28:32 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. closed firefox
2.
3.


Comment
-----
closed firefox and abrt reported a crash
Comment 276 John B 2010-05-21 17:46:04 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Open FF
2.Browse
3.Exit FF
Comment 277 Răzvan Sandu 2010-05-21 19:03:13 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 278 Joseph D. Wagner 2010-05-21 22:03:36 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Unknown

Comment
-----
Close Firefox.
Comment 279 Joseph D. Wagner 2010-05-21 22:13:21 EDT
I never had these problems until I installed the 64-bit alpha Flash from Adobe, so I concur that it is flash-related.
Comment 280 Joseph D. Wagner 2010-05-21 23:03:42 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.  Likely Flash related.  Using 64-bit alpha Flash from Adobe.
Comment 281 igor.redhat@gmail.com 2010-05-21 23:14:03 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
This happened on exit - nothing else worth mentioning that I could think of...
Comment 282 Evgeny 2010-05-22 07:05:53 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close firefox
2.
3.
Comment 283 estesko 2010-05-22 08:00:34 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close firefox
2.
3.


Comment
-----
I'd been downloading files on Firefox. The download window behaved erroneously: it did not update download status of files, nor could completed files be removed from its history. I erased the cache, then closed to restart. This error resulted from closing the app.
Comment 284 estesko 2010-05-22 08:00:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close firefox
2.
3.


Comment
-----
I'd been downloading files on Firefox. The download window behaved erroneously: it did not update download status of files, nor could completed files be removed from its history. I erased the cache, then closed to restart. This error resulted from closing the app.
Comment 285 Patan 2010-05-22 23:47:19 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.al cerrar el explorador se presenta el problema
2.
3.
Comment 286 Joseph D. Wagner 2010-05-23 00:41:28 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.  Likely related to 64-bit alpha Flash plugin from Adobe.
Comment 287 Daniel Stripes 2010-05-23 10:09:32 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Just closed/exited Firefox, as usual these last few months.
Comment 288 Daniel Stripes 2010-05-23 10:10:39 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Merely closed/exited Firefox and received segfault, as is typical these last couple months.
Comment 289 Claudiomar Rodrigues 2010-05-23 22:50:10 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.
2.when closed firefox 
3.
Comment 290 Mark Wilt 2010-05-24 00:16:33 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Watch a show on hulu.com
2.Exit Firefox
3.Receive notification of a crash in Firefox


Comment
-----
Adobe flash plugin 10.0.45.2-release installed to enable flash playback in Hulu.
Kernel is local build to optimize cpu-type, memory, etc., otherwise same as vanilla distribution
Comment 291 Daniel Stripes 2010-05-24 06:19:12 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Exit Firefox normally (by use of either the menu item or the "x" window box gadget).
Comment 292 Robin Bowes 2010-05-24 12:34:08 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Not sure - I clicked to move between tabs and... kaboom!
Comment 293 Peter Rathlev 2010-05-24 13:50:06 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Start firefox
2. Use firefox
3. Close firefox, sometimes leads to SEGV


Comment
-----
It sometimes (1 in 3 maybe) happens when I close Firefox. I'm not aware if it can make a (SEGV) difference, but I have a bunch of plugins installed.

I'm using the proprietary NVidia-drivers from RPM Fusion if that has anything to say.
Comment 294 Peter Rathlev 2010-05-24 13:54:33 EDT
And I too have Adobe's 64-bit Flash alpha plugin (libflashplayer-10.0.42.34.so) installed.
Comment 295 Alexander 2010-05-24 16:08:07 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.using FF with Flash_x86_64 (repository: http://www.dfm.uninsubria.it/compiz/fusion-testing/flashplayer.x86_64/)
2.close FF
3.
Comment 296 Sara L. Uckelman 2010-05-24 16:19:58 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed firefox.
Comment 297 Sara L. Uckelman 2010-05-24 16:21:00 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed firefox.
Comment 298 Need Real Name 2010-05-24 20:37:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. quit firefox
2.
3.
Comment 299 kajetan.drozd 2010-05-24 22:23:46 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close the window
2.
3.
Comment 300 Need Real Name 2010-05-25 00:01:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. closed firefox
2.
3.
Comment 301 Daniel Stripes 2010-05-25 02:21:52 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed Firefox.  Also using 64-bit flash here.
Comment 302 Stefan Hellermann 2010-05-25 07:34:10 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Firefox crashes regular after using a website with flash-content and installed libflashplayer (x64)
Comment 303 Thomas Arnold 2010-05-25 19:00:33 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit Firefox in Gnome-shell
Comment 304 Stephan Rozendaal 2010-05-26 04:00:25 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
crashes when the browser is closed
Comment 305 Glenn Johnson 2010-05-26 06:55:50 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Close Firefox after approx. 1 hour session.
2.
3.


Comment
-----
Same as above.
Comment 306 Patan 2010-05-26 08:11:34 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close firefox
2.
3.
Comment 307 Sara L. Uckelman 2010-05-26 16:04:39 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed firefox.
Comment 308 Ferry Huberts 2010-05-26 16:57:19 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close ff
2.
3.
Comment 309 Sara L. Uckelman 2010-05-26 16:57:36 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
closed firefox.
Comment 310 Francesco Tapparo 2010-05-27 03:29:35 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start firefox
2. browse some time
3. close firefox (using the "X" in the window frame)


Comment
-----
almost every time I close firefox, I get a crash report.
Comment 311 afterhours19 2010-05-27 09:36:21 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Close Firefox with save and quit
2.
3.
Comment 312 Bug Reporter 2010-05-28 09:58:40 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Is there a connection between this crash and Adobe Flash Player installed?
2.
3.
Comment 313 Daniel S Spicer 2010-05-28 19:02:35 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.CLosed Firefox
2.
3.
Comment 314 John L. Chmielewski 2010-05-29 11:53:10 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Firefox crashed on a restart when the google tool bar was installed
2.
3.
Comment 315 Jack 2010-05-30 07:32:22 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I wanted to close the app but it crashed
Comment 316 Mahmoud Abdul Jawad 2010-05-30 08:39:58 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.close multi-tab opened firefox
Comment 317 Ivica Grujic 2010-05-31 15:26:54 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open firefox
2. Closing firefox triggers abrt
3.


Comment
-----
Well as mentioned before, closing firefox triggers abrt. A haven't noticed any other pecular or strange behaviour
Comment 318 Arthur Enright 2010-05-31 20:12:36 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Crashed while not in use with multiple tabs open
2.
3.


Comment
-----
1. Crashed while not in use with multiple tabs open
Comment 319 Daniel Medianero 2010-06-01 12:34:53 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
When I close firefox

Comment
-----
When I close firefox
Comment 320 Enrique Gomezdelcampo 2010-06-01 13:01:56 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Quit Firefox
2. ABRT generates a crash notice
3.


Comment
-----
About 70% of the time that I close Firefox it crashes on exit. It does not matter if I close it clicking on the top right hand corner or if I click on File->Quit. 
firefox-3.5.9-2.fc12.x86_64.

I do not have any fancy plugins installed. Just the basic plugins: icedtea, flash, openoffice.
Comment 321 Pete Havens 2010-06-01 13:27:20 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I closed Firefox using <ALT>+<F4>.
Comment 322 Luis Garza 2010-06-01 18:03:54 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. load new theme from mozilla themes
2. load second theme with similar name from mozilla themes
3. explosion
Comment 323 Art Miller 2010-06-02 10:00:35 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Open multiple tabs and wait for one of them to start to reload or update
2.
3.


Comment
-----
when one tab starts reloading or updating all tabs start reloading and system can take an extremely
long time to update or reload any tab forcing all of firefox to become unusable. Not all tabs should be reloading or updating at the same time and it shouldn't take over 3 min. for a tab to reload.
Comment 324 Luis Garza 2010-06-02 12:56:29 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. update plugin
2. restart firefox
3. abrt window shows up
Comment 325 Morten Slott Hansen 2010-06-03 05:29:19 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed FF - bang... This is really really bad and I am just about to switch to Chrome...
Comment 326 Krystian 2010-06-03 12:36:16 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Just close Firefox
2.
3.
Comment 327 debashish.sahu 2010-06-03 16:32:42 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I quit firefoz and it crashed
2.
3.


Comment
-----
I should say there is a strong correlation between the crashes and a webpage with flash opened. The flash plugin installed is 64 bit.
Comment 328 Dmitry Burstein 2010-06-03 18:16:17 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Just close the FF
2.
3.
Comment 329 Patan 2010-06-03 20:17:10 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close firefox
2.
3.
Comment 330 David Kovalsky 2010-06-04 03:38:33 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Close FF with multiple tabs
2.
3.
Comment 331 Morten Slott Hansen 2010-06-04 06:20:24 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
FF just crashes on close...
Comment 332 Daniel S Spicer 2010-06-04 06:36:12 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Simply close multi-tabbed Firefox
2.
3.
Comment 333 Oliver Gould 2010-06-04 12:13:11 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Close Firefox
2.
3.
Comment 334 Steevithak 2010-06-04 21:23:06 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. start firefox
2. browsre for a while
3. close firefox


Comment
-----
firefox crashed on exit as usual
Comment 335 Jean Figueiredo 2010-06-06 21:28:04 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close firefox
2.
3.
Comment 336 Morten Slott Hansen 2010-06-07 05:16:57 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close FF
2.
3.


Comment
-----
Closed FF
Comment 337 Franky Van Liedekerke 2010-06-07 05:33:37 EDT
For F12: it seems to be related to the third-party adobe flash plugin (which is known for its crashing abilities). Disabling resulted in a much more stable firefox.
Possibilities then are:
- uninstall adobe flash and use gnash or swfdec for flash (but not as good as the real flash plugin)
- update f12 firefox to 3.6.3-1, which also seems to help. For this, you can use the firefox rpm from the remi repos: http://rpms.famillecollet.com/fedora/12/remi/i386/repoview/firefox.html (direct link to the firefox rpm's in case you don't want to install the remi repo).
Comment 338 aten 2010-06-07 18:26:27 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. quit firefox
2.
3.
Comment 339 Morten Slott Hansen 2010-06-08 06:52:46 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.close FF
2.
3.


Comment
-----
closed FF for the 100th time and saw the crash for the 100th time...
Comment 340 Luca Botti 2010-06-08 07:21:34 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Firefox
2. Browse the Web
3. Close  FIrefox
Comment 341 Art Miller 2010-06-08 10:30:48 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.trying to view the new NOAA beta site for animated sattelite views.
2.
3.


Comment
-----
Go to NOAA new beta site (link from current NOAA site for sat. imagery) firefox starts with a progress note that "applet is starting" then firefox freezes with a progress of "applet:not initialized" firefox hangs and will not close. Firefox has to be closed from a terminal window using root permissions.
Comment 342 Samyn 2010-06-08 16:16:52 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Close Thunderbird 
2.A few seconds later re-open it
3.
Comment 343 Morten Slott Hansen 2010-06-09 05:56:03 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Closed FF
2.
3.


Comment
-----
Gues what - I just closed FF :)
Comment 344 John Watzke 2010-06-09 15:44:13 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Closed firefox.  I don't know if this is a new issue or related to the various issues in the past.  I'm trusting that ABRT will figure this out.
Comment 345 tiagoalmeida 2010-06-10 18:40:15 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
when i closed the firefox this happened. dunno how.
Comment 346 Paul Campbell 2010-06-11 01:52:20 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Unknown cause - Note firefox3.6.3-4.fc13 not fedora12
Comment 347 Mikhail Veltishchev 2010-06-11 03:51:41 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Nothing special. Just run Fx (Firebug was enabled).
2.
3.
Comment 348 Need Real Name 2010-06-11 10:17:04 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. quit firefox
2.
3.
Comment 349 collura 2010-06-11 20:49:50 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
crash on restart from add-on update
Comment 350 Jeff Raber 2010-09-13 12:08:09 EDT
There have been 0 new reports in >3 months.  Is anyone seeing these crashes in the latest firefox?
Comment 351 Peter Rathlev 2010-09-13 12:22:45 EDT
I kept seeing the crash-on-close until I removed the 64-bit Flash plugin and started using the 32-bit via wrapper (on 2010-08-24). Since then I haven't seen the crash. This is anecdotal of course.
Comment 352 Jesse Larrew 2010-09-13 13:00:28 EDT
I still see the crash every time I close firefox. I just figured that opening duplicate bugs each time was creating unnecessary hassle for Red Hat. :P 

I'm currently running firefox-3.5.11-1.fc12.i686. I used to think it was related to how many tabs I had open when I closed the browser, but I've seen it with just a single tab.
Comment 353 Jeff Raber 2010-09-13 17:07:02 EDT
Jesse Larrew;
Can you provide a backtrace showing the crash with firefox-3.5.11-1.fc12.i686?
Comment 354 Jesse Larrew 2010-09-13 23:27:59 EDT
Jeff,

The latest backtrace can be found here:
https://bugzilla.redhat.com/show_bug.cgi?id=633621

Jesse
Comment 355 David M. 2010-09-14 15:32:31 EDT
My Firefox has been rock-solid for several months now.  However, I have made several configuration changes that might have caused this:

1)  I moved from the official JRE to the icedtea one packaged with Fedora.

2)  I moved from the experimental 64-bit Adobe Flash plugin to the Gnash plugin.



I suspect one or both of the above is the reason I'm not seeing this bug anymore.

-Dave
Comment 356 Matěj Cepl 2010-09-23 06:32:05 EDT
*** Bug 595927 has been marked as a duplicate of this bug. ***
Comment 357 Matěj Cepl 2010-09-23 07:15:08 EDT
*** Bug 579736 has been marked as a duplicate of this bug. ***
Comment 358 Matěj Cepl 2010-09-23 07:15:48 EDT
*** Bug 580989 has been marked as a duplicate of this bug. ***
Comment 359 Matěj Cepl 2010-09-23 07:16:00 EDT
*** Bug 581997 has been marked as a duplicate of this bug. ***
Comment 360 Matěj Cepl 2010-09-23 07:47:19 EDT
*** Bug 585772 has been marked as a duplicate of this bug. ***
Comment 361 Matěj Cepl 2010-09-23 07:51:59 EDT
*** Bug 589386 has been marked as a duplicate of this bug. ***
Comment 362 Matěj Cepl 2010-09-23 08:00:18 EDT
*** Bug 591184 has been marked as a duplicate of this bug. ***
Comment 363 Matěj Cepl 2010-09-23 08:11:18 EDT
*** Bug 596441 has been marked as a duplicate of this bug. ***
Comment 364 Matěj Cepl 2010-09-23 08:15:47 EDT
*** Bug 599094 has been marked as a duplicate of this bug. ***
Comment 365 Matěj Cepl 2010-09-23 08:17:43 EDT
*** Bug 600771 has been marked as a duplicate of this bug. ***
Comment 366 Matěj Cepl 2010-09-23 08:19:22 EDT
*** Bug 600867 has been marked as a duplicate of this bug. ***
Comment 367 Matěj Cepl 2010-09-23 08:33:46 EDT
*** Bug 601719 has been marked as a duplicate of this bug. ***
Comment 368 Matěj Cepl 2010-09-23 11:05:45 EDT
*** Bug 636423 has been marked as a duplicate of this bug. ***
Comment 369 Matěj Cepl 2010-09-23 11:07:12 EDT
*** Bug 603572 has been marked as a duplicate of this bug. ***
Comment 370 Matěj Cepl 2010-09-23 11:07:12 EDT
*** Bug 604759 has been marked as a duplicate of this bug. ***
Comment 371 Matěj Cepl 2010-09-23 11:16:56 EDT
*** Bug 607808 has been marked as a duplicate of this bug. ***
Comment 372 Matěj Cepl 2010-09-23 11:16:57 EDT
*** Bug 607727 has been marked as a duplicate of this bug. ***
Comment 373 Matěj Cepl 2010-09-23 11:16:58 EDT
*** Bug 608270 has been marked as a duplicate of this bug. ***
Comment 374 Matěj Cepl 2010-09-23 11:16:58 EDT
*** Bug 608910 has been marked as a duplicate of this bug. ***
Comment 375 Matěj Cepl 2010-09-23 11:16:59 EDT
*** Bug 615630 has been marked as a duplicate of this bug. ***
Comment 376 Matěj Cepl 2010-09-23 11:17:00 EDT
*** Bug 617778 has been marked as a duplicate of this bug. ***
Comment 377 Matěj Cepl 2010-09-23 11:17:00 EDT
*** Bug 617884 has been marked as a duplicate of this bug. ***
Comment 378 Matěj Cepl 2010-09-23 11:17:01 EDT
*** Bug 618034 has been marked as a duplicate of this bug. ***
Comment 379 Matěj Cepl 2010-09-23 11:17:02 EDT
*** Bug 619472 has been marked as a duplicate of this bug. ***
Comment 380 Matěj Cepl 2010-09-23 11:17:02 EDT
*** Bug 619870 has been marked as a duplicate of this bug. ***
Comment 381 Matěj Cepl 2010-09-23 11:17:02 EDT
*** Bug 620316 has been marked as a duplicate of this bug. ***
Comment 382 Matěj Cepl 2010-09-23 11:17:03 EDT
*** Bug 620525 has been marked as a duplicate of this bug. ***
Comment 383 Matěj Cepl 2010-09-23 11:17:03 EDT
*** Bug 624719 has been marked as a duplicate of this bug. ***
Comment 384 Matěj Cepl 2010-09-23 11:17:04 EDT
*** Bug 625200 has been marked as a duplicate of this bug. ***
Comment 385 Matěj Cepl 2010-09-23 11:17:04 EDT
*** Bug 625203 has been marked as a duplicate of this bug. ***
Comment 386 Matěj Cepl 2010-09-23 11:17:05 EDT
*** Bug 625584 has been marked as a duplicate of this bug. ***
Comment 387 Matěj Cepl 2010-09-23 11:17:05 EDT
*** Bug 627947 has been marked as a duplicate of this bug. ***
Comment 388 Matěj Cepl 2010-09-23 11:17:06 EDT
*** Bug 629090 has been marked as a duplicate of this bug. ***
Comment 389 Matěj Cepl 2010-09-23 11:17:06 EDT
*** Bug 630191 has been marked as a duplicate of this bug. ***
Comment 390 Matěj Cepl 2010-09-23 11:17:07 EDT
*** Bug 632472 has been marked as a duplicate of this bug. ***
Comment 391 Matěj Cepl 2010-09-23 11:17:07 EDT
*** Bug 633071 has been marked as a duplicate of this bug. ***
Comment 392 Matěj Cepl 2010-09-23 11:17:08 EDT
*** Bug 633925 has been marked as a duplicate of this bug. ***
Comment 393 Matěj Cepl 2010-09-23 11:17:08 EDT
*** Bug 635039 has been marked as a duplicate of this bug. ***
Comment 394 Matěj Cepl 2010-09-23 11:17:08 EDT
*** Bug 636309 has been marked as a duplicate of this bug. ***
Comment 395 Matěj Cepl 2010-09-23 11:17:09 EDT
*** Bug 636422 has been marked as a duplicate of this bug. ***
Comment 396 Matěj Cepl 2010-09-23 14:08:14 EDT
*** Bug 611637 has been marked as a duplicate of this bug. ***
Comment 397 Matěj Cepl 2010-09-23 14:08:15 EDT
*** Bug 605474 has been marked as a duplicate of this bug. ***
Comment 398 Matěj Cepl 2010-09-23 14:08:16 EDT
*** Bug 614355 has been marked as a duplicate of this bug. ***
Comment 399 Matěj Cepl 2010-09-23 14:08:16 EDT
*** Bug 618391 has been marked as a duplicate of this bug. ***
Comment 400 Matěj Cepl 2010-09-23 14:08:18 EDT
*** Bug 620173 has been marked as a duplicate of this bug. ***
Comment 401 Matěj Cepl 2010-09-23 14:08:18 EDT
*** Bug 629018 has been marked as a duplicate of this bug. ***
Comment 402 Matěj Cepl 2010-09-23 14:08:20 EDT
*** Bug 633054 has been marked as a duplicate of this bug. ***
Comment 403 Matěj Cepl 2010-09-23 14:08:20 EDT
*** Bug 635941 has been marked as a duplicate of this bug. ***
Comment 404 Matěj Cepl 2010-09-23 14:08:21 EDT
*** Bug 626588 has been marked as a duplicate of this bug. ***
Comment 405 Matěj Cepl 2010-09-23 14:09:36 EDT
*** Bug 617794 has been marked as a duplicate of this bug. ***
Comment 406 Matěj Cepl 2010-09-23 14:09:37 EDT
*** Bug 608222 has been marked as a duplicate of this bug. ***
Comment 407 Matěj Cepl 2010-09-23 14:09:38 EDT
*** Bug 617815 has been marked as a duplicate of this bug. ***
Comment 408 Matěj Cepl 2010-09-23 14:09:39 EDT
*** Bug 632192 has been marked as a duplicate of this bug. ***
Comment 409 Matěj Cepl 2010-09-23 14:09:39 EDT
*** Bug 634868 has been marked as a duplicate of this bug. ***
Comment 410 Matěj Cepl 2010-09-23 14:10:27 EDT
*** Bug 610296 has been marked as a duplicate of this bug. ***
Comment 411 Matěj Cepl 2010-09-23 14:10:28 EDT
*** Bug 608136 has been marked as a duplicate of this bug. ***
Comment 412 Matěj Cepl 2010-09-23 14:10:29 EDT
*** Bug 623689 has been marked as a duplicate of this bug. ***
Comment 413 Matěj Cepl 2010-09-23 14:10:51 EDT
*** Bug 615524 has been marked as a duplicate of this bug. ***
Comment 414 Matěj Cepl 2010-09-23 14:10:52 EDT
*** Bug 606471 has been marked as a duplicate of this bug. ***
Comment 415 Matěj Cepl 2010-09-23 14:11:14 EDT
*** Bug 617955 has been marked as a duplicate of this bug. ***
Comment 416 Matěj Cepl 2010-09-23 14:11:15 EDT
*** Bug 620592 has been marked as a duplicate of this bug. ***
Comment 417 Matěj Cepl 2010-09-29 13:05:34 EDT
*** Bug 637503 has been marked as a duplicate of this bug. ***
Comment 418 Matěj Cepl 2010-09-29 13:07:07 EDT
*** Bug 637946 has been marked as a duplicate of this bug. ***
Comment 419 Karel Klíč 2010-11-09 11:19:49 EST
*** Bug 651014 has been marked as a duplicate of this bug. ***
Comment 420 Martin Stransky 2010-12-17 03:14:23 EST
*** Bug 663184 has been marked as a duplicate of this bug. ***
Comment 421 Matěj Cepl 2010-12-22 12:34:16 EST
*** Bug 646195 has been marked as a duplicate of this bug. ***
Comment 422 Matěj Cepl 2010-12-22 12:34:17 EST
*** Bug 649215 has been marked as a duplicate of this bug. ***
Comment 423 Matěj Cepl 2010-12-22 12:34:17 EST
*** Bug 647933 has been marked as a duplicate of this bug. ***
Comment 424 Matěj Cepl 2010-12-22 12:34:18 EST
*** Bug 649770 has been marked as a duplicate of this bug. ***
Comment 425 Matěj Cepl 2010-12-22 12:34:18 EST
*** Bug 659383 has been marked as a duplicate of this bug. ***
Comment 426 Matěj Cepl 2010-12-22 12:34:19 EST
*** Bug 659961 has been marked as a duplicate of this bug. ***
Comment 427 Matěj Cepl 2010-12-22 12:34:20 EST
*** Bug 661334 has been marked as a duplicate of this bug. ***
Comment 428 Matěj Cepl 2010-12-22 12:34:23 EST
*** Bug 662400 has been marked as a duplicate of this bug. ***
Comment 429 Matěj Cepl 2010-12-22 12:34:24 EST
*** Bug 663201 has been marked as a duplicate of this bug. ***
Comment 430 Matěj Cepl 2010-12-22 12:38:10 EST
*** Bug 658528 has been marked as a duplicate of this bug. ***
Comment 431 Matěj Cepl 2010-12-22 12:38:11 EST
*** Bug 660519 has been marked as a duplicate of this bug. ***
Comment 432 Matěj Cepl 2010-12-22 12:43:43 EST
*** Bug 657797 has been marked as a duplicate of this bug. ***
Comment 433 Christoph A. 2011-01-05 06:00:24 EST
Package: firefox-3.6.13-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. closed firefox
Comment 434 Christoph A. 2011-01-05 06:04:12 EST
Package: thunderbird-3.1.7-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. crash was detected after I closed thunderbird
2.
3.
Comment 435 Christoph A. 2011-01-05 06:09:44 EST
Package: firefox-3.6.13-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. unknown
2.
3.
Comment 436 Christoph A. 2011-01-07 06:56:36 EST
Package: thunderbird-3.1.7-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. the crash occured when I closed thunderbird
2.
3.
Comment 437 Matěj Cepl 2011-01-24 04:51:44 EST
*** Bug 665942 has been marked as a duplicate of this bug. ***
Comment 438 Matěj Cepl 2011-01-31 05:06:40 EST
*** Bug 673596 has been marked as a duplicate of this bug. ***
Comment 439 Chris Bredesen 2011-02-23 11:28:39 EST
Also experiencing this when closing Thunderbird after a system resume.

thunderbird.i686 3.1.7-2.fc13
Comment 440 Karl Tomlinson 2011-03-06 21:39:13 EST
The CloseDevice/BadDevice bug belongs in either the GTK+ component or the component suitable representing inputproto.

GDK wasn't designed expecting input devices to be removed.
(This may be fixed for GTK+3 with XI2.)

It looks like version 1.4 of inputproto added DevicePresenceNotify but didn't require the server to keep the ids of open devices valid until closed.
Comment 441 Matěj Cepl 2011-03-07 07:03:30 EST
*** Bug 680900 has been marked as a duplicate of this bug. ***
Comment 442 Matěj Cepl 2011-03-07 07:03:48 EST
*** Bug 679301 has been marked as a duplicate of this bug. ***
Comment 443 Matěj Cepl 2011-03-07 07:05:15 EST
*** Bug 616640 has been marked as a duplicate of this bug. ***
Comment 444 Zdenek Kabelac 2011-03-30 04:38:45 EDT
Any progress on this one ?

Seems like self recursion call of  _XReply to handle  X11Error is not going to work ?

How about adding at least some workaround loop counter for i.e. at most 1000000 execution of the loop inside xcb_io.c  _XReply()

while (1)   -> while (counter-- > 0)

 if(req != current && req->reply_waiter)
		{
			ConditionWait(dpy, dpy->xcb->reply_notify);
			/* Another thread got this reply. */
			continue;
		}


Obviously not a real bug fix - but as this bug is here for quite some time - it should at least stop the infinite loop and give X developers time for providing some good fix.

IMHO it looks like a problem on application exit error path - so IMHO this workaround shouldn't be causing any real harm and should stop eating CPU cycles in background.
Comment 445 Karl Tomlinson 2011-03-30 16:25:14 EDT
(In reply to comment #444)
> Any progress on this one ?
> 
> Seems like self recursion call of  _XReply to handle  X11Error is not going to
> work ?

Yes, that was only unofficially supported and now doesn't work with libX11 on xcb.

It is addressed here:
http://hg.mozilla.org/mozilla-central/rev/06ca0535285e

But the fatal CloseDevice/BadDevice error has already happened (comment 440).  The X11Error code merely provides details about the error.
Comment 446 Matěj Cepl 2011-04-22 07:31:14 EDT
*** Bug 695030 has been marked as a duplicate of this bug. ***
Comment 447 Matěj Cepl 2011-04-22 07:31:15 EDT
*** Bug 693634 has been marked as a duplicate of this bug. ***
Comment 448 Matěj Cepl 2011-04-22 07:32:38 EDT
*** Bug 689088 has been marked as a duplicate of this bug. ***
Comment 449 Matěj Cepl 2011-04-22 07:32:39 EDT
*** Bug 693489 has been marked as a duplicate of this bug. ***
Comment 450 Matěj Cepl 2011-07-19 17:54:10 EDT
*** Bug 720508 has been marked as a duplicate of this bug. ***
Comment 451 Matěj Cepl 2011-08-10 03:30:19 EDT
*** Bug 729484 has been marked as a duplicate of this bug. ***
Comment 452 Matěj Cepl 2011-09-21 03:23:45 EDT
*** Bug 733781 has been marked as a duplicate of this bug. ***
Comment 453 MarcoGiusti 2012-02-10 11:33:06 EST
Package: firefox-3.6.13-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.nell'utilizzo di gmail
2.lasciando aperto il programma per ore
3.
 

Comment
-----
1
Comment 454 Martin Stransky 2012-02-21 04:41:39 EST
Upstream fix - https://bugzilla.mozilla.org/show_bug.cgi?id=576933

If you still see it, please file a new bug for it.

Note You need to log in before you can comment on or make changes to this bug.